#
# spec file for package python-colorcet
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-colorcet
Version:        2.0.2
Release:        bp155.2.10
Summary:        Collection of perceptually uniform colormaps
License:        CC-BY-4.0
Group:          Development/Languages/Python
URL:            https://github.com/bokeh/colorcet
Source:         https://files.pythonhosted.org/packages/source/c/colorcet/colorcet-%{version}.tar.gz
BuildRequires:  %{python_module param >= 1.7.0}
BuildRequires:  %{python_module pyct >= 0.4.4}
BuildRequires:  %{python_module setuptools >= 30.3.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-param >= 1.7.0
Requires:       python-pyct >= 0.4.4
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
colorcet is a collection of perceptually uniform colormaps
for use with Python plotting programs like bokeh, matplotlib,
holoviews, and datashader.

%prep
%setup -q -n colorcet-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE.txt
%python3_only %{_bindir}/colorcet
%{python_sitelib}/*

%changelog
* Thu Sep 26 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.0.2:
  * Typo fixes in metadata and small fixes only
* Tue Jul 23 2019 Todd R <toddrme2178@gmail.com>
- Update to version 2.0.1
  * Small fixes with sorting and names
  * Fixing issue with aspect in bokeh
  * Making things faster
  * Adding new color sets with new aliases
  * Adding console script
  * Added Glasbey 256-color categorical colormaps
  * Updated to use pyct, pyctdev, nbsite
  * Fixed broken links to images
  * Added logo
* Thu May  3 2018 toddrme2178@gmail.com
- Update to version 1.0.0
  + Minor update improving compatibility and ease of use:
  * Added attribute access for colormap and palette dictionaries
    for convenience (PR #5)
  * Pulled out the subset of colormaps that have readable names
    into the cm_n and palette_n dictionaries to make it simpler
    to use them in GUI widgets selecting colormaps
  * Improved Python2/Python3 compatibility, now supporting Python 2.7, 3.4, 3.5, and 3.6.
  + Minor backwards compatibility issue:
  * Renamed inferno to bmy to avoid confusion with matplotlib.
- Use %%license tag
* Fri Aug 18 2017 toddrme2178@gmail.com
- Initial version
